/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package MatlResMgmt.DeliveryFromSupplier;

import java.util.Vector;
import java.util.Date;
import java.math.BigDecimal;

/** 
 * @author TogetherSoft
 * @stereotype moment-interval */
public class DeliveryFromSupplier {
    public void enterDeliveryFromSupplier() {
    }

    //    public void enterDelivery()
    //    {
    //    }
    public void addDetail() {
    }

    public int calcTotalAccepted() {
        return 0;
    }

    public int calcTotalRejected() {
        return 0;
    }

    public void complete() {
    }

    public void cancel() {
    }

    public Vector mi_assessDeliveryTimeliness() {
        return new Vector();
    }

    public boolean mi_isInvoiced() {
        return false;
    }

    public BigDecimal mi_calcTotalInvoiced() {
        return new BigDecimal(0);
    }

    public int mi_assessDeviationFromPO() {
        return 0;
    }

    public static Vector listDeliveries() {
        return new Vector();
    }

    public static BigDecimal calcAvgPercentAccepted() {
        return new BigDecimal(0);
    }

    private Date dateDelivered;
    private BigDecimal costOfShipping;

    /**
     *@shapeType AggregationLink
     * @supplierCardinality 1..*
     * @clientCardinality 1
     */
    private DeliveryDetail lnkUnnamed1;

    /**
     * @supplierCardinality 0..*
     * @clientCardinality 1
     */
    private MatlResMgmt.ServiceFromSupplier.ServiceRequest lnkUnnamed2;

    /** @supplierCardinality 1 */
    private IEnterDeliveryFromSupplier lnkUnnamed;

    /**
     * @clientCardinality 0..*
     * @supplierCardinality 0..*
     */
    private MatlResMgmt.InvoiceFromSupplier.InvoiceFromSupplier lnkUnnamed3;
}


